org.apache.hadoop.yarn.security.client

## Class TimelineDelegationTokenSelector

- java.lang.Object
- - org.apache.hadoop.yarn.security.client.TimelineDelegationTokenSelector

- All Implemented Interfaces:
    TokenSelector<TimelineDelegationTokenIdentifier>

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class TimelineDelegationTokenSelector
      extends Object
      implements TokenSelector<TimelineDelegationTokenIdentifier>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimelineDelegationTokenSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token<TimelineDelegationTokenIdentifier>` | `selectToken(Text service, Collection<Token<? extends TokenIdentifier>> tokens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimelineDelegationTokenSelector

          public TimelineDelegationTokenSelector()

  - ### Method Detail

    - #### selectToken

          public Token<TimelineDelegationTokenIdentifier> selectToken(Text service,
                                                                      Collection<Token<? extends TokenIdentifier>> tokens)

      Specified by:
        `selectToken` in interface `TokenSelector<TimelineDelegationTokenIdentifier>`

Copyright © 2022 Apache Software Foundation. All rights reserved.